# JavaScriptSourceSet

API Documentation: | `JavaScriptSourceSet`

Note: This class is incubating and may change in a future version of Gradle.

Represents a source set containing javascript sources.

### Properties

Property | Description
`source` | Incubating The source files.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `SourceDirectorySet` `source` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The source files.